<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
mb_internal_encoding("UTF-8");

if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

 /*---Для выделения меню---*/
$url_page = $_SERVER['REQUEST_URI'];
$bg = 'class="mmmenu"';
$bg1 = 'class="mmenu"';
?>
  <?
 if ( !isset( $_SESSION['id'] ) or $config_user['account'] != 5 ) {
 echo '';
 } else {
 	$edit_post = $pdo->Query("SELECT * from php_user WHERE id = '" . ( int ) $_GET['id'] . "' LIMIT 1")->fetch(PDO::FETCH_BOTH);
 ?>
  <div class="big_topics bor_top round3 FFF hr">
      <div class="main_top hr_menu padd5">
    <a <? if ( strpos( $url_page, 'admhome' ) ) echo $bg; else echo $bg1; ?> href="/admhome">Мод.Товаров</a>
    <a <? if ( strpos( $url_page, 'userpay' ) ) echo $bg; else echo $bg1; ?> href="/userpay">Выплаты</a>
    <a <? if ( strpos( $url_page, 'userlist' ) ) echo $bg; else echo $bg1; ?> href="/userlist">Пользователи</a>
    <a <? if ( strpos( $url_page, 'alltovar' ) ) echo $bg; else echo $bg1; ?> href="/alltovar">Все товары</a>
    <a <? if ( strpos( $url_page, 'set_con' ) ) echo $bg; else echo $bg1; ?> href="/set_con">Платежки</a>
    <a <? if ( strpos( $url_page, 'all_con' ) ) echo $bg; else echo $bg1; ?> href="/all_con">Др. настройки</a> 
	<a <? if ( strpos( $url_page, 'coment' ) ) echo $bg; else echo $bg1; ?> href="/coment">Комментарии</a>
	  </div>
       
       <div class="wrap_user_r">
       <div class="menu_title">Редактирование пользователя: ID <?=$edit_post['id']?></div>
        <div class="padd5"></div>
        <script type="text/javascript">

function edituser() {
    $.ajax ({
        url: 'admin/ajax.php?func=edituser',
        type: 'POST',
        dataType: 'html',
        data: $("#editus").serialize(),
        success: function(data) {
            if (data == 1) {
                setTimeout(function(){location.assign('userlist')} , 5000);
                $('body').Qnotify({text:'Данные успешно сохранены!', sound:'error'});
            } else {
				$('body').Qnotify({text:data, sound:'error'});
			}
        }
    });
}
</script>
<form id="editus" action="" method="POST">
<div class="padd10"></div><div class="top_games_mini">Денег <span class="rouble">Р</span></div><input type="hidden" name="iduser" id="iduser" value="<?=$edit_post['id']?>" /><input type="text" name="money" id="money" class="ii round3" value="<?=$edit_post['money']?>" />
<div class="padd10"></div><div class="top_games_mini">Электронная почта</div><input type="text" name="email" id="email" class="ii round3" value="<?=$edit_post['email']?>" />
<div class="padd10"></div><div class="top_games_mini">Яндекс Счёт</div><input type="text" name="yandex" id="yandex" class="ii round3" value="<?=$edit_post['yandex']?>" />
<div class="padd10"></div><div class="top_games_mini">Payeer счёт</div><input type="text" name="payeer" id="payeer" class="ii round3" value="<?=$edit_post['payeer']?>" />
<div class="padd10"></div><div class="top_games_mini">Qiwi счёт</div><input type="text" name="qiwi" id="qiwi" class="ii round3" value="<?=$edit_post['qiwi']?>" />
<div class="padd10"></div>
<input type="submit" value="Отправить" onclick="edituser();return false;" class="fb round3" style="padding:10px 25px;margin-left:225px;" />
</form>
</div>
 </div>
<?}}?>